package Peertube::DL::Utils;

use strict;
use warnings;

use feature 'say';

use URI::Encode;

sub uri_encode {
    if (wantarray) {
        return map { URI::Encode::uri_encode($_) =~ s/ /+/rg } @_;
    } else {
        return URI::Encode::uri_encode( $_[0] ) =~ s/ /+/rg;
    }
}

sub uri_decode {
    return map { URI::Encode::uri_decode($_) =~ s/\+/ /rg } @_;
}
1;
